Bug 125030 - nice crash by repeating apply style (Ctrl+Shft+Y)
Summary: nice crash by repeating apply style (Ctrl+Shft+Y)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-04-29 15:38 UTC by Cor Nouws
Modified: 2019-05-01 09:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2019-04-29 15:38:43 UTC
Spreadsheet
1. some text in A1 and B1
2. focus on A1, apply style Heading by double clicking in Styles pane in side bar
3. focus on A2
4. repeat (Ctrl+Shft+Y)
  > Crash

Noticed in Version: 6.3.0.0.alpha0+
Build ID: 5e4c1e6ba425ce0b75864e4584a846957b032e61
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-04-25_17:33:40
Locale: nl-NL (nl_NL.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Cor Nouws 2019-04-29 15:39:20 UTC
after recovering the document, the style has been applied, so that is nice ;)
Comment 2 Xisco Faulí 2019-04-29 16:25:00 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d38f9934f08939032cca64a32de58fa3901a88d5

author	Mike Kaganski <mike.kaganski@collabora.com>	2019-04-07 15:29:35 +0100
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-04-09 21:34:07 +0200
commit	d38f9934f08939032cca64a32de58fa3901a88d5 (patch)
tree	e853e4ad432ec1c8eb08bb4d430835682cda6b90
parent	c1e320836b7dbcd9fe6ded8352355ea6101bd821 (diff)
[API CHANGE] Asserts to never clear already cleared guard

Bisected with: bibisect-linux64-6.3

Adding Cc: to Mike Kaganski
Comment 3 Mike Kaganski 2019-04-29 17:28:28 UTC
https://gerrit.libreoffice.org/71550

@Cor: nice catch!
Comment 4 Commit Notification 2019-04-29 18:57:28 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f591bf522d2c63ad7f9fc87388671afbc16fbcd0%5E%21

tdf#125030: Prevent double-clearing the guard

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Cor Nouws 2019-04-29 20:49:04 UTC
(In reply to Mike Kaganski from comment #3)
> @Cor: nice catch!
No problem. Thanks for the fast fix Mike!
Comment 6 Xisco Faulí 2019-04-30 07:58:05 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: f45f8d0c6eb1d5d28a92399b82d13c2894f06069
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike, thanks for the quick fix!!
Comment 7 Commit Notification 2019-05-01 09:51:56 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/da53faea86be3980e014a3ec9acc7c48fe6aeeb9%5E%21

uitest for bug tdf#125030

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.